%global srcname octave-kernel
%global srcname_ octave_kernel

Name:           python-%{srcname}
Version:        0.28.4
Release:        1%{?dist}
Summary:        A Jupyter kernel for Octave

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname_}
Source0:        https://files.pythonhosted.org/packages/source/o/%{srcname_}/%{srcname_}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  octave gnuplot

%global _description \
A Jupyter kernel for Octave.

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-metakernel >= 0.20.11
BuildRequires:  python3-jupyter-client >= 4.3.0
BuildRequires:  python3-ipykernel

BuildRequires:  python3-jupyter-kernel-test

Requires:       octave
Requires:       python3-metakernel >= 0.18.0
Requires:       python3-jupyter-client >= 4.3.0
Requires:       python3-ipykernel

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname_}-%{version} -p1


%build
%py3_build


%install
%py3_install

%if %{fedora} < 28
# Force Python 3 for kernel.
sed -i 's~"python"~"%{__python3}"~' \
    %{buildroot}%{_datadir}/jupyter/kernels/octave/kernel.json
%endif


%check
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    JUPYTER_PATH="%{buildroot}%{_datadir}/jupyter" \
        %{__python3} test_octave_kernel.py -v


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname_}
%{python3_sitelib}/%{srcname_}-%{version}-py?.?.egg-info
%{_datadir}/jupyter/kernels/octave


%changelog
* Sun Aug 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.4-1
- Update to latest version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.28.3-3
- Rebuilt for Python 3.7

* Fri Mar 16 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.3-2
- Force Python 3 for kernel startup (for old Jupyter client.)

* Thu Mar 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.28.3-1
- Initial package release.
